### Name: simulateSNPcatResponse
### Title: Simulation of SNP Data with Categorical Response
### Aliases: simulateSNPcatResponse print.simSNPcatResponse
### Keywords: datagen

### ** Examples
## Not run: 
##D # The simulated data set described in Details.
##D 
##D sim1 <- simulateSNPcatResponse()
##D sim1
##D 
##D # Specifying the values of the response by the levels with
##D # the largest probability.
##D 
##D sim2 <- simulateSNPcatResponse(sample.y = FALSE)
##D sim2
##D 
##D # If ((SNP4 != 2) & (SNP3 == 1)), (SNP5 ==3), and
##D # ((SNP12 !=1) & (SNP9 == 3)) should be the three interactions
##D # (or variables) that are explanatory for the three levels
##D # of the response, list.ia and list.snp are specified as follows.
##D 
##D list.ia <- list(c(-2, 1), 3, c(-1,3))
##D list.snp <- list(c(4, 3), 5, c(12,9))
##D 
##D # The categorical response and a data set consisting of 
##D # 800 observations and 25 SNPs, where the minor allele
##D # frequency of each SNP is randomly drawn from a
##D # uniform distribution with minimum 0.1 and maximum 0.4,
##D # is then generated by
##D 
##D sim3 <- simulateSNPcatResponse(n.obs = 800, n.snp = 25,
##D   list.ia = list.ia, list.snp = list.snp, maf = c(0.1, 0.4))
##D sim3
##D 
## End(Not run)


