### Name: simulateSNPglm
### Title: Simulation of SNP data
### Aliases: simulateSNPglm
### Keywords: datagen

### ** Examples
## Not run: 
##D # The simulated data set described in Details.
##D 
##D sim1 <- simulateSNPglm()
##D sim1
##D 
##D # A bit more information: Table of probabilities of being a case
##D # vs. numbers of cases and controls.
##D 
##D summary(sim1)
##D 
##D # Calling an observation a case if its probability of being
##D # a case is larger than 0.5 (the default for p.cutoff).
##D 
##D sim2 <- simulateSNPglm(sample.y = FALSE)
##D summary(sim2)
##D 
##D # If ((SNP4 != 2) & (SNP3 == 1)), (SNP5 ==3) and
##D # ((SNP12 !=1) & (SNP9 == 3)) should be the three interactions
##D # (or variables) that are explanatory for the response,
##D # list.ia and list.snp are specified as follows.
##D 
##D list.ia <- list(c(-2, 1), 3, c(-1,3))
##D list.snp <- list(c(4, 3), 5, c(12,9))
##D 
##D # The binary response and the data set consisting of 
##D # 600 observations and 25 SNPs, where the minor allele
##D # frequency of each SNP is randomly drawn from a
##D # uniform distribution with minimum 0.1 and maximum 0.4,
##D # is then generated by
##D 
##D sim3 <- simulateSNPglm(n.obs = 600, n.snp = 25,
##D   list.ia = list.ia, list.snp = list.snp, maf = c(0.1, 0.4))
##D sim3
##D 
##D summary(sim3)
##D   
##D # If the response should be quantitative, err.fun has
##D # to be specified. To use a normal distribution with mean 0
##D # (default in rnorm) and a standard deviation of 2 
##D # as the distribution of the error, call
##D 
##D simulateSNPglm(err.fun = rnorm, sd = 2)
##D  
##D 
## End(Not run)


